'use strict';

var _lodash = require('lodash');

var _FoundationEmailsTask = require('./FoundationEmailsTask');

var _FoundationEmailsTask2 = _interopRequireDefault(_FoundationEmailsTask);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 |----------------------------------------------------------------
 | Foundation for Emails 2
 |----------------------------------------------------------------
 |
 | This task will allow you to use Foundation for Emails 2
 | Quickly create responsive HTML emails that work.
 | Even on Outlook. http://foundation.zurb.com/emails.html
 |
 | And use it with Laravel blade templates.
 |
 */

Elixir.foundationEmails = {
    config: {
        sass: 'resources/assets/sass/emails/email.scss',
        source: 'resources/emails',
        views: 'resources/views/emails',
        images: 'resources/emails/images',
        imagesDist: 'public/images/emails',
        publicCss: 'public/css',
        compiled: 'resources/emails/dist'
    },

    mergeConfig: function mergeConfig(newConfig) {
        return this.config = (0, _lodash.mergeWith)(this.config, newConfig, function (objValue, srcValue) {
            if ((0, _lodash.isArray)(objValue)) {
                return objValue.concat(srcValue);
            }
        });
    }
};

Elixir.extend('foundationEmails', function (options) {
    new _FoundationEmailsTask2.default('foundationEmails', options);
});